# User Data

User data is used to add chunks of information to a user so that it's sent to the dashboard with the reports. Each call to this API overwrites the previous data added. This method takes a string argument.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
let profileDetails = user.allProfileDetails()
let profileDetailsString = "\(profileDetails)"
Luciq.userData = profileDetailsString
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
NSDictionary *profileDetails = [user allProfileDetails];
NSString *profileDetailsString = [NSString stringWithFormat:@"%@", profileDetails];
Luciq.userData = profileDetailsString;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.setUserData("User data");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setUserData("User data")
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.setUserData("User data sample");
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.setUserData("User data sample");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/user-identification-data/user-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
